package de.ordix.onews.persistence.entity;

import java.io.Serializable;
import java.time.LocalDate;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;

/*
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements. See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License. You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
 */

@SuppressWarnings("serial")
@Entity
@SequenceGenerator(name = "pers_seq", sequenceName = "pers_seq", allocationSize = 1)
public class Personal implements Serializable {

	private Long id;
    private String nachname;
    private String vorname;
    private LocalDate geburtsdatum;
    private Aenderungskennzeichen aenderungskennzeichen;
    private Upload upload;

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "pers_seq")
    @Column(name = "ID", length = 12)
    public Long getId() {
    	return id;
    }
    
    public void setId(Long id) {
    	this.id = id;
    }

    public String getNachname() {
        return nachname;
    }

    public String getVorname() {
        return vorname;
    }

    public LocalDate getGeburtsdatum() {
        return geburtsdatum;
    }


    @ManyToOne( cascade=CascadeType.PERSIST)
    @JoinColumn(name = "uploadFileId")
    public Upload getUpload() {
        return upload;
    }


    public void setNachname(String nachname) {
        this.nachname = nachname;
    }

    public void setVorname(String vorname) {
        this.vorname = vorname;
    }


    public void setGeburtsdatum(LocalDate geburtsdatum) {
        this.geburtsdatum = geburtsdatum;
    }

    public void setUpload(Upload upload) {
        this.upload = upload;
    }


    @Enumerated(EnumType.STRING)
    @Column(name = "AENDERUNGSKENNZEICHEN")
    public Aenderungskennzeichen getAenderungskennzeichen() {
        return aenderungskennzeichen;
    }

    public void setAenderungskennzeichen(Aenderungskennzeichen aenderungskennzeichen) {
        this.aenderungskennzeichen = aenderungskennzeichen;
    }

}
