package de.ordix.onews.persistence.entity;

import java.io.Serializable;
import java.time.LocalDateTime;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;

/*
* Licensed to the Apache Software Foundation (ASF) under one or more
* contributor license agreements. See the NOTICE file distributed with
* this work for additional information regarding copyright ownership.
* The ASF licenses this file to You under the Apache License, Version 2.0
* (the "License"); you may not use this file except in compliance with
* the License. You may obtain a copy of the License at
*
* http://www.apache.org/licenses/LICENSE-2.0
*
* Unless required by applicable law or agreed to in writing, software
* distributed under the License is distributed on an "AS IS" BASIS,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
* See the License for the specific language governing permissions and
* limitations under the License.
 */

@SuppressWarnings("serial")
@Entity
@SequenceGenerator(name = "upload_seq", sequenceName = "upload_seq", allocationSize = 1)
public class Upload  implements Serializable {

    private Long id;
    private LocalDateTime importTime;
    private String dateiname;
    private String kennung;

    public Upload() {
        super();
    }
    
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "upload_seq")
    @Column(name = "ID", length = 12)
    public Long getId() {
        return id;
    }

    @Column(name = "IMPORT_ZEITPUNKT")
    public LocalDateTime getImportTime() {
        return importTime;
    }
    

    @Column(name = "DATEINAME", length = 128)
    public String getDateiname() {
        return dateiname;
    }

    @Column(name = "KENNUNG", length = 32)
    public String getKennung() {
        return kennung;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setImportTime(LocalDateTime importTime) {
        this.importTime = importTime;
    }

    public void setDateiname(String dateiname) {
        this.dateiname = dateiname;
    }

    public void setKennung(String kennung) {
        this.kennung = kennung;
    }

}
